<?php 
if( !defined( 'ABSPATH') ) exit();

// ###################### Register genearl settings ######################
function coyote_np_posts_register_mysettings() {
	// Where to use
    register_setting('coyote_np_posts_settings_group', 'coyote_np_post_type');
    // Title
	register_setting('coyote_np_posts_settings_group', 'coy_title_color');
	register_setting('coyote_np_posts_settings_group', 'coy_title_color_hover');
	register_setting('coyote_np_posts_settings_group', 'coy_font_default');
	register_setting('coyote_np_posts_settings_group', 'coy_font_weight');
	register_setting('coyote_np_posts_settings_group', 'coy_standard_family');	
	// Subtitle
	register_setting('coyote_np_posts_settings_group', 'coy_subtitle_color');
	register_setting('coyote_np_posts_settings_group', 'coy_subtitle_font_default');
	register_setting('coyote_np_posts_settings_group', 'coy_subtitle_standard_family');
	// Appearance
	register_setting('coyote_np_posts_settings_group', 'coy_content_shadow');
	register_setting('coyote_np_posts_settings_group', 'coy_content_background');
	register_setting('coyote_np_posts_settings_group', 'coy_content_arrow');
	register_setting('coyote_np_posts_settings_group', 'coy_icons_color');	
	register_setting('coyote_np_posts_settings_group', 'coy_title_number');
	
    
}

add_action('admin_init', 'coyote_np_posts_register_mysettings');

function coyote_np_posts_geral() { ?>
	<div class="wrap">
        <div class="coyote-content">
            <h2 class="settings-ico"><?php _e('Prev and Next Lite - Plugin Settings', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h2> 
                <?php settings_errors();?>
            <div class="clear"></div>
            <form method="post" action="options.php" id="post-np-plugin" >
                <div class="options-header-settings">                                     
                    <?php submit_button('Save All Changes', 'button-primary'); ?>
					<ul>
						<li><a href="https://www.facebook.com/coyotewp/" class="coy-tooltip" target="_blank"><?php _e('Facebook', COYOTE_NP_POSTS_TEXT_DOMAIN); ?>
						<span><?php _e('Like our fanpage',COYOTE_NP_POSTS_TEXT_DOMAIN); ?></span>
						</a></li>                        
                        <li><a href="http://www.coyotewp.com/support/" class="coy-tooltip" target="_blank"><?php _e('Support', COYOTE_NP_POSTS_TEXT_DOMAIN); ?>
						<span><?php _e('Need help? Fill out our form and soon we will contact you', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></span></a></li>
                        <li><a href="http://demos.coyotewp.com/prev-next/" class="coy-tooltip" target="_blank"><?php _e('Demo', COYOTE_NP_POSTS_TEXT_DOMAIN); ?>
						<span><?php _e('View details and demos', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></span>
						</a></li> 
                        <li><a href="http://www.coyotewp.com/coyote-product/prev-and-next/" class="coy-tooltip" style="color: #ff0000;" target="_blank"><?php _e('Get PRO Version', COYOTE_NP_POSTS_TEXT_DOMAIN); ?>
						<span><?php _e('Get PRO Version', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></span>
						</a></li>                       
                    </ul>
                    <div class="clear"></div>
                </div>
            <div class="coyote-post">
                    <div id="tabs-settings">
                        <ul class="settings-menu-tabs">
							<li><a href="#tabs-1"><span class="dashicons dashicons-arrow-right"></span> <?php _e('Where to use', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></a></li>
                            <li><a href="#tabs-2"><span class="dashicons dashicons-arrow-right"></span> <?php _e('Title', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></a></li>
                            <li><a href="#tabs-3"><span class="dashicons dashicons-arrow-right"></span> <?php _e('Subtitle', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></a></li>
                            <li><a href="#tabs-4"><span class="dashicons dashicons-arrow-right"></span> <?php _e('Appearance', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></a></li>                            
                        </ul>
						<!-- ########### TABS 01 ############### -->
                        <div id="tabs-1" class="settings-tabs-container">
                            <h1><?php _e('Where to use', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h1>
							<p><?php _e('Select which types of posts you want to use the arrows',COYOTE_NP_POSTS_TEXT_DOMAIN); ?></p>
                            <?php
			
								$coyote_np_post_type = get_option('coyote_np_post_type');
								
								$coyote_np_post_type_page = get_option("coyote_np_post_type_page");
								
								if(!empty($coyote_np_post_type_page)) {
									$page = 'checked';
								} else { $page = '';}

								$args = array(
								   'public'   => true,
								   '_builtin' => false
								);
								$output = 'names'; // names or objects, note names is the default
								$operator = 'and'; // 'and' or 'or'

								$post_types = get_post_types( $args, $output, $operator ); 
								
								echo '<p><input class="coyote_np_post_type_checked" class="coyote_np_post_type_checkcox" type="checkbox" value="" >Home Page &nbsp;<span style="color: #ff0000;">(pro)</span></p>';
								echo '<p><input class="coyote_np_post_type_checked" class="coyote_np_post_type_checkcox" type="checkbox" value="" >Pages &nbsp;<span style="color: #ff0000;">(pro)</span></p>';
								echo '<p><input type="checkbox" name="coyote_np_post_type[]" value="post" '. coyote_np_posts_chekbox( "post", $coyote_np_post_type). '>Posts</p>';

							    foreach ( $post_types  as $post_type ) {
								  
								   echo '<p><input type="checkbox" class="coyote_np_post_type_checked" >'.$post_type.' &nbsp;<span style="color: #ff0000;">(pro)</span></p>';
								   
								}	 

							?>
                        </div>    
                        <!-- ########### TABS 02 ############### -->
                        <div id="tabs-2" class="settings-tabs-container">
                            <h1><?php _e('Typography Title', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h1>
                            <h3><?php _e('Color', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h3>
                            <p><?php _e('Select the default color.', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></p>
                            <p>
                                <span class="coy-text"><?php _e('Title Color', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></span>
                                <span class="coy-item"><input type="text" class="coyote-color-field" name="coy_title_color" value="<?php echo coyote_np_posts_validate_field_input('coy_title_color'); ?>" /></span>
                            </p>
							<p>
                                <span class="coy-text"><?php _e('Title Hover Color', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></span>
                                <span class="coy-item"><input type="text" class="coyote-color-field" name="coy_title_color_hover" value="<?php echo coyote_np_posts_validate_field_input('coy_title_color_hover'); ?>" /></span>
                            </p>
                            <h3><?php _e('Choose an option', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h3>
                            <?php $font = get_option('coy_font_default'); ?>
                            <p>
                                <label class="coy-label">
                                    <input type="radio" name="coy_font_default" value="inherit" <?php if($font == 'inherit'){echo 'checked="checked"';}?> /> <?php _e('Inherit the theme', COYOTE_NP_POSTS_TEXT_DOMAIN); ?>
                                </label>
                                <label class="coy-label">
                                    <input type="radio" name="coy_font_default" value="standart" <?php if($font == 'standart'){echo 'checked="checked"';}?> /> <?php _e('Standard Fonts', COYOTE_NP_POSTS_TEXT_DOMAIN); ?>
                                </label>
                                <label class="coy-label">
                                    <input type="radio" name="coy_font_default" disabled /> <?php _e('Google Fonts', COYOTE_NP_POSTS_TEXT_DOMAIN); ?>&nbsp;<span style="color: #ff0000;">(pro)</span>
                                </label>
                            </p>
                            <p><strong><?php _e('Font Weight', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></strong><br/>
                            <?php $font_weight = get_option('coy_font_weight'); ?>
                            <?php _e('Select an option.', COYOTE_NP_POSTS_TEXT_DOMAIN); ?>
                            </p>
                            <p>
                                <select id="font_weight" name="coy_font_weight">
                                    <option id="0" value="normal" <?php if($font_weight == 'normal'){echo 'selected="selected"';}?>>normal</option>
                                    <option id="1" value="bold" <?php if($font_weight == 'bold'){echo 'selected="selected"';}?>>bold</option>
                                    <option id="2" value="bolder" <?php if($font_weight == 'bolder'){echo 'selected="selected"';}?>>bolder</option>
                                    <option id="3" value="lighter" <?php if($font_weight == 'lighter'){echo 'selected="selected"';}?>>lighter</option>
                                    <option id="4" value="100" <?php if($font_weight == '100'){echo 'selected="selected"';}?>>100</option>
                                    <option id="5" value="200" <?php if($font_weight == '200'){echo 'selected="selected"';}?>>200</option>
                                    <option id="6" value="300" <?php if($font_weight == '300'){echo 'selected="selected"';}?>>300</option>
                                    <option id="7" value="400" <?php if($font_weight == '400'){echo 'selected="selected"';}?>>400</option>
                                    <option id="8" value="500" <?php if($font_weight == '500'){echo 'selected="selected"';}?>>500</option>
                                    <option id="9" value="600" <?php if($font_weight == '600'){echo 'selected="selected"';}?>>600</option>
                                    <option id="10" value="700" <?php if($font_weight == '700'){echo 'selected="selected"';}?>>700</option>
                                    <option id="11" value="800" <?php if($font_weight == '800'){echo 'selected="selected"';}?>>800</option>
                                    <option id="12" value="900" <?php if($font_weight == '900'){echo 'selected="selected"';}?>>900</option>
                                    <option id="13" value="inherit" <?php if($font_weight == 'inherit'){echo 'selected="selected"';}?>>inherit</option>
                                </select>
                            </p>
                            <h3><?php _e('Standard Fonts', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h3>
                            <?php $standart = get_option('coy_standard_family'); ?>
                            <p>
                                <strong><?php _e('Select Font Family', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></strong><br />
                                <select class="select of-input" name="coy_standard_family" id="standard_family">
                                    <?php coyote_np_posts_select_return_standart_fonts($standart); ?>
                                </select>
                            </p>
                            <h3><?php _e('Google Fonts', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h3>
                            <?php $google = ''; ?>							
                            <p>
                                <strong><?php _e('Select Font Family', COYOTE_NP_POSTS_TEXT_DOMAIN); ?>
                                </strong>&nbsp;<span style="color: #ff0000;">(pro)</span><br />
                                <select class="select of-input" id="google_family">                                
                                    <?php coyote_np_posts_select_return_google_fonts($google); ?>
                                </select>
								
                            </p>
							<p><?php _e('Search fonts: ', COYOTE_NP_POSTS_TEXT_DOMAIN); ?> <a href="https://fonts.google.com/" target="_blank"><?php _e('Click Here', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></a></p>
                            <h3><?php _e('Maximum number of characters', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h3>
                            <p>
                                <span class="coy-text"><?php _e('Enter a number of characters, you can add values between 20 and 40.', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></span>
                            </p>
                            <p>
                                <span class="coy_input">
                                    <input type="number" min="0" id="coy_title_number" class="coy_title_number" name="coy_title_number" value="<?php echo coyote_np_posts_validate_field_input('coy_title_number')? coyote_np_posts_validate_field_input('coy_title_number'): 40; ?>" />
                                    <button id="coy_title_number_reset" type="button"><span class="dashicons dashicons-image-rotate"></span></button>
                                </span>  
                            </p>
                            <script type="text/javascript">
								   jQuery(document).ready(function ($) {

                                        $(".coyote_np_post_type_checked").prop('checked', false);
                                        $(".coyote_np_post_type_checked").prop('disabled', true);                                        
                                        $(".coy_icon_arrow").prop('disabled', true);

                                        $("#coy_title_number_reset").click(function() {
											$('#coy_title_number').val(40);
                                        });
										
									});
								</script>
                            
                        </div>
                        <!-- ########### TABS 03 ############### -->
                        <div id="tabs-3" class="settings-tabs-container">
                            <h1><?php _e('Typography Subtitle', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h1>
                            <h3><?php _e('Color', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h3>
                            <p>
                                <?php _e('Select the default color.', COYOTE_NP_POSTS_TEXT_DOMAIN); ?>
                            </p>
                            <p>
                                <span class="coy-text"><?php _e('Subtitle Color', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></span>
                                <span class="coy-item">
                                    <input type="text" class="coyote-color-field" name="coy_subtitle_color" value="<?php echo coyote_np_posts_validate_field_input('coy_subtitle_color'); ?>" />
                                </span>
                            </p>
                            
                            <h3><?php _e('Choose an option', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h3>
                            <?php $font_subtitle = get_option('coy_subtitle_font_default'); ?>
                            <p>
                                <label class="coy-label">
                                    <input type="radio" name="coy_subtitle_font_default" value="inherit" <?php if($font_subtitle == 'inherit'){echo 'checked="checked"';}?> /> <?php _e('Inherit the theme', COYOTE_NP_POSTS_TEXT_DOMAIN); ?>
                                </label>
                                <label class="coy-label">
                                    <input type="radio" name="coy_subtitle_font_default" value="standart" <?php if($font_subtitle == 'standart'){echo 'checked="checked"';}?> /> <?php _e('Standard Fonts', COYOTE_NP_POSTS_TEXT_DOMAIN); ?>
                                </label>
                            </p>
                            <h3><?php _e('Standard Fonts', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h3>
                            <?php $standart_subtitle = get_option('coy_subtitle_standard_family'); ?>
                            <p>
                            <strong><?php _e('Select Font Family', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></strong><br />
                            <select class="select of-input" name="coy_subtitle_standard_family" id="standard_family">
                                <?php coyote_np_posts_select_return_standart_fonts($standart_subtitle); ?>
                            </select>
                            </p>
                        </div>
                        <!-- ########### TABS 04 ############### -->
                        <div id="tabs-4" class="settings-tabs-container">
                            <h1><?php _e('Appearance', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></h1>
							<?php $content_shadow = get_option('coy_content_shadow'); ?>
							<p><?php _e('Enable shadow on the content box?',COYOTE_NP_POSTS_TEXT_DOMAIN); ?></p>
							<p>
                                <select id="coy_content_shadow" name="coy_content_shadow" >									
                                    <option id="1" value="yes_shadow" <?php if (!empty($content_shadow) && ($content_shadow === 'yes_shadow')) {
											echo 'selected="selected"';
										} ?>><?php _e('Yes', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></option>
                                    <option id="2" value="no_shadow" <?php if (!empty($content_shadow) && ($content_shadow === 'no_shadow')) {
											echo 'selected="selected"';
										} ?>><?php _e('No', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></option>                                                                      
                              </select>  
                            </p>
							
							<?php $content_background = get_option('coy_content_background'); ?>
							<p><?php _e('Select a color for the content background',COYOTE_NP_POSTS_TEXT_DOMAIN); ?></p>
							<p>
                                 <span class="coy-item"><input type="text" class="coyote-color-field" name="coy_content_background" value="<?php echo coyote_np_posts_validate_field_input('coy_content_background'); ?>" /></span>
                            </p>
							
							<?php $content_arrow = get_option('coy_content_arrow'); ?>
							<p><?php _e('Select a background color for the arrow',COYOTE_NP_POSTS_TEXT_DOMAIN); ?></p>
							<p>
                                 <span class="coy-item"><input type="text" class="coyote-color-field" name="coy_content_arrow" value="<?php echo coyote_np_posts_validate_field_input('coy_content_arrow'); ?>" /></span>
                            </p>
							
							<?php $icons_color = get_option('coy_icons_color'); ?>
							<p><?php _e('What icon color do you intend to use?',COYOTE_NP_POSTS_TEXT_DOMAIN); ?></p>
							<p>
                                <select id="coy_icons_color" name="coy_icons_color" >									
                                    <option id="1" value="white" <?php if (!empty($icons_color) && ($icons_color === 'white')) {
											echo 'selected="selected"';
										} ?>><?php _e('White', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></option>
                                    <option id="2" value="black" <?php if (!empty($icons_color) && ($icons_color === 'black')) {
											echo 'selected="selected"';
										} ?>><?php _e('Black', COYOTE_NP_POSTS_TEXT_DOMAIN); ?></option>                                                                      
                              </select>  
                            </p>
							
							
                            <?php $arrow = '1'; ?>
							<p><?php _e('Select an arrow.',COYOTE_NP_POSTS_TEXT_DOMAIN); ?>&nbsp;<span style="color: #ff0000;">(pro)</span></p>                            
							<ul id="number-icons">
							<?php echo coyote_np_show_icons( $arrow ); ?>
							</ul>
                        </div>           
                        <div class="clear"></div>
    <?php settings_fields('coyote_np_posts_settings_group'); ?>
				<?php do_settings_sections('coyote_np_posts_settings_group'); ?>
                    </div>
                    <div class="options-footer-settings">
    <?php submit_button('Save All Changes', 'button-primary'); ?>
                    </div>    
                </form>
                <div class="clear"></div>
                <script>
                    var $j = jQuery.noConflict();
                    $j(document).ready(function () {
                        $j("#tabs-settings").tabs({
                            active: 0
                        });
                    });
                </script>
            </div>
        </div>

    </div>
 	
<?php
    }